This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1304523 - Variable 'libjpeg_prefix' not defined in '/usr/lib64/pkgconfig/libgdiplus.pc' (pkgconfig)
Variable 'libjpeg_prefix' not defined in '/usr/lib64/pkgconfig/libgdiplus.pc'...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libgdiplus (Show other bugs)
23
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 17:11 EST by Quentin Dufour
Modified: 2016-12-20 13:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:25:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Quentin Dufour 2016-02-03 17:11:14 EST
Description of problem:
pkg-config file for libgdiplus is broken
Variable 'libjpeg_prefix' not defined in '/usr/lib64/pkgconfig/libgdiplus.pc'

Version-Release number of selected component (if applicable):
libgdiplus-devel-3.12-3.fc23.x86_64

Steps to Reproduce:
1. Install libgdiplus-devel (sudo dnf install libgdiplus-devel)
2. Run sudo pkg-config --print-errors libgdiplus 

Actual results:
Variable 'libjpeg_prefix' not defined in '/usr/lib64/pkgconfig/libgdiplus.pc'

Expected results:
<Nothing>

Hotfix :
remove -L${libjpeg_prefix}/lib from /usr/lib64/pkgconfig/libgdiplus.pc

Additional info:
Silently break pkg-config --list-all by displaying only a part of the available packages. 
Silently break jhbuilds 

More bug reports associated with this bug :
Open Suse : http://lists.opensuse.org/opensuse-bugs/2015-09/msg00841.html
Gnome : https://mail.gnome.org/archives/builder-list/2015-December/msg00010.html
Gentoo : https://bugs.gentoo.org/show_bug.cgi?id=431916

Bug report about pkg-config exiting silently on parse error :
https://bugs.freedesktop.org/show_bug.cgi?id=26615
(This bug is fixed on the free desktop git, but not yet on fedora 23 repo)
If you think I should open an issue on pkg-config for this error, please let me know.
Comment 1 Марко М. Костић (Marko M. Kostić) 2016-11-24 05:00:17 EST
This bugs affects me on Fedora 25 when using jhbuild from master branch.
Comment 2 Fedora End Of Life 2016-11-24 10:22:53 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Марко М. Костић (Marko M. Kostić) 2016-11-28 00:01:13 EST
 Quentin Dufour, could you please bump the affected version to 25?
Comment 4 Fedora End Of Life 2016-12-20 13:25:04 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.